If you are using Internet Explorer, please remove blackberry.com from your compatibility view settings.

Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Developer
RapsFan
Posts: 442
Registered: ‎08-02-2010
My Device: Z10
My Carrier: Telus
Accepted Solution

Ripple emulator 0.9.7 Failure

Hello everyone. I just installed the Chrome Ripple extension and I enable it but when I go to the sample KitchenSink I get the '

 

Looks like what we have here is a failure to... emulate' 

 

error page.

In the developer console I get:

Viewport target-densitydpi is not supported. /WebWorks-Samples/kitchenSink/:21
Ripple :: Environment Warming Up (Tea. Earl Gray. Hot.) ripple.js:475
Uncaught Error: INVALID_STATE_ERR: DOM Exception 11
I'm running Windows 7 64 bit and use the --enable-extensions flag with Chrome.
Please use plain text.
Developer
Developer
LBP
Posts: 607
Registered: ‎04-29-2011
My Device: PlayBook 16GB, BB10 LE Z10 (red)
My Carrier: none

Re: Ripple emulator 0.9.7 Failure

Which platform did you use in Ripple? I tried with Chrome 21.0.1180.77 and Ripple 0.9.7 on Win32bit and is working for SmartPhone, PlayBook and BB10 here without such issues, only the "Viewport target-densitydpi is not supported" is shown but it is working really well so far, except that not all use cases of KitchenSink may work in the simulator.


"Like" if you liked the post.
"Accept as Solution" if the post solves your question.
Please use plain text.
Developer
RapsFan
Posts: 442
Registered: ‎08-02-2010
My Device: Z10
My Carrier: Telus

Re: Ripple emulator 0.9.7 Failure

Thanks that was it! My Chrome was .75 and after I updated it works.

Please use plain text.